# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: plutus/model/payout_info.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from google.protobuf import descriptor_pb2 as google_dot_protobuf_dot_descriptor__pb2
from weclikd.common import sql_field_options_pb2 as weclikd_dot_common_dot_sql__field__options__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='plutus/model/payout_info.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1eplutus/model/payout_info.proto\x12\x07weclikd\x1a\x1fgoogle/protobuf/timestamp.proto\x1a google/protobuf/descriptor.proto\x1a&weclikd/common/sql_field_options.proto\"\x81\x01\n\nPayoutInfo\x12\x18\n\naccount_id\x18\x01 \x01(\x03\x42\x04\x90\xb5\x18\x01\x12\x14\n\x0cstripe_state\x18\x02 \x01(\t\x12\x16\n\x0estripe_user_id\x18\x03 \x01(\t\x12+\n\x07\x63reated\x18\x04 \x01(\x0b\x32\x1a.google.protobuf.Timestampb\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,google_dot_protobuf_dot_descriptor__pb2.DESCRIPTOR,weclikd_dot_common_dot_sql__field__options__pb2.DESCRIPTOR,])




_PAYOUTINFO = _descriptor.Descriptor(
  name='PayoutInfo',
  full_name='weclikd.PayoutInfo',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.PayoutInfo.account_id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=b'\220\265\030\001', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='stripe_state', full_name='weclikd.PayoutInfo.stripe_state', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='stripe_user_id', full_name='weclikd.PayoutInfo.stripe_user_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.PayoutInfo.created', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=280,
)

_PAYOUTINFO.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
DESCRIPTOR.message_types_by_name['PayoutInfo'] = _PAYOUTINFO
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

PayoutInfo = _reflection.GeneratedProtocolMessageType('PayoutInfo', (_message.Message,), {
  'DESCRIPTOR' : _PAYOUTINFO,
  '__module__' : 'plutus.model.payout_info_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.PayoutInfo)
  })
_sym_db.RegisterMessage(PayoutInfo)


_PAYOUTINFO.fields_by_name['account_id']._options = None
# @@protoc_insertion_point(module_scope)
